summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2024-04-09 17:04:48 +0200
committerChristian Grothoff <christian@grothoff.org>2024-04-09 17:05:04 +0200
commite80e3d496caed6d541c8a1a1e08a4e5673aa7e16 (patch)
treec9282ac9563c0def7229c478d240f4ddb8f011d7
parentf724ff6f0129b06108c986c27be64c2b5cae73c9 (diff)
downloadexchange-e80e3d496caed6d541c8a1a1e08a4e5673aa7e16.tar.gz
exchange-e80e3d496caed6d541c8a1a1e08a4e5673aa7e16.tar.bz2
exchange-e80e3d496caed6d541c8a1a1e08a4e5673aa7e16.zip
give better hint as to where the logs are
-rwxr-xr-xsrc/auditor/test-auditor.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 67bc54e5a..2cfea0532 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -166,7 +166,7 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-aggregation.out" \
2> "${MY_TMP_DIR}/test-audit-aggregation.err" \
- || exit_fail "aggregation audit failed"
+ || exit_fail "aggregation audit failed (see ${MY_TMP_DIR}/test-audit-aggregation.*)"
echo -n "."
$VALGRIND taler-helper-auditor-aggregation \
-L DEBUG \
@@ -174,7 +174,7 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-aggregation-inc.out" \
2> "${MY_TMP_DIR}/test-audit-aggregation-inc.err" \
- || exit_fail "incremental aggregation audit failed"
+ || exit_fail "incremental aggregation audit failed (see ${MY_TMP_DIR}/test-audit-aggregation-inc.*)"
echo -n "."
$VALGRIND taler-helper-auditor-coins \
-L DEBUG \
@@ -182,7 +182,7 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-coins.out" \
2> "${MY_TMP_DIR}/test-audit-coins.err" \
- || exit_fail "coin audit failed"
+ || exit_fail "coin audit failed (see ${MY_TMP_DIR}/test-audit-coins.*)"
echo -n "."
$VALGRIND taler-helper-auditor-coins \
-L DEBUG \
@@ -190,7 +190,7 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-coins-inc.out" \
2> "${MY_TMP_DIR}/test-audit-coins-inc.err" \
- || exit_fail "incremental coin audit failed"
+ || exit_fail "incremental coin audit failed (see ${MY_TMP_DIR}/test-audit-coins-inc.*)"
echo -n "."
$VALGRIND taler-helper-auditor-deposits \
-L DEBUG \
@@ -198,7 +198,7 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-deposits.out" \
2> "${MY_TMP_DIR}/test-audit-deposits.err" \
- || exit_fail "deposits audit failed"
+ || exit_fail "deposits audit failed (see ${MY_TMP_DIR}/test-audit-deposits.*)"
echo -n "."
$VALGRIND taler-helper-auditor-deposits \
-L DEBUG \
@@ -206,7 +206,7 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-deposits-inc.out" \
2> "${MY_TMP_DIR}/test-audit-deposits-inc.err" \
- || exit_fail "incremental deposits audit failed"
+ || exit_fail "incremental deposits audit failed (see ${MY_TMP_DIR}/test-audit-deposits-inc.*)"
echo -n "."
$VALGRIND taler-helper-auditor-reserves \
-i \
@@ -215,7 +215,7 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-reserves.out" \
2> "${MY_TMP_DIR}/test-audit-reserves.err" \
- || exit_fail "reserves audit failed"
+ || exit_fail "reserves audit failed (see ${MY_TMP_DIR}/test-audit-reserves.*)"
echo -n "."
$VALGRIND taler-helper-auditor-reserves \
-i \
@@ -224,25 +224,25 @@ function audit_only () {
-t \
> "${MY_TMP_DIR}/test-audit-reserves-inc.out" \
2> "${MY_TMP_DIR}/test-audit-reserves-inc.err" \
- || exit_fail "incremental reserves audit failed"
+ || exit_fail "incremental reserves audit failed (see ${MY_TMP_DIR}/test-audit-reserves-inc.*)"
echo -n "."
$VALGRIND taler-helper-auditor-wire \
-i \
-L DEBUG \
-c "$CONF" \
-t \
- > "${MY_TMP_DIR}/test-wire-audit.out" \
- 2> "${MY_TMP_DIR}/test-wire-audit.err" \
- || exit_fail "wire audit failed"
+ > "${MY_TMP_DIR}/test-audit-wire.out" \
+ 2> "${MY_TMP_DIR}/test-audit-wire.err" \
+ || exit_fail "wire audit failed (see ${MY_TMP_DIR}/test-audit-wire.*)"
echo -n "."
$VALGRIND taler-helper-auditor-wire \
-i \
-L DEBUG \
-c "$CONF" \
-t \
- > "${MY_TMP_DIR}/test-wire-audit-inc.out" \
- 2> "${MY_TMP_DIR}/test-wire-audit-inc.err" \
- || exit_fail "wire audit inc failed"
+ > "${MY_TMP_DIR}/test-audit-wire-inc.out" \
+ 2> "${MY_TMP_DIR}/test-audit-wire-inc.err" \
+ || exit_fail "wire audit inc failed (see ${MY_TMP_DIR}/test-audit-wire-inc.*)"
echo -n "."
echo " DONE"